<?php
namespace Services;

use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class GerarPlanoVooProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'GERA_PREVISAO_PAXM') {
		parent::__construct($connection, $procedureName);
	}

	public function executeProcedure($P_CDFILIAL, $P_DTRELPLANPAX, $P_NRRELPLANPAX, $P_CDCIA, $P_NRVOO, $P_CDTRECHO, $P_DTHRPLAVOOPV, $P_TIPPREVISAO, $P_IDTPGERPPT, $P_VRPEROCUPACAO, $P_SIMULACAO, $P_NRDIAS, $P_CDEQUIP, $P_SGPREFIXO, $P_CDOPERADOR, $P_NRORG) {
		$this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $P_CDFILIAL));
		$this->addParam(new Param('P_DTRELPLANPAX', Param::PARAM_INPUT, $P_DTRELPLANPAX));
		$this->addParam(new Param('P_NRRELPLANPAX', Param::PARAM_INPUT, $P_NRRELPLANPAX));
		$this->addParam(new Param('P_CDCIA', Param::PARAM_INPUT, $P_CDCIA));
		$this->addParam(new Param('P_NRVOO', Param::PARAM_INPUT, $P_NRVOO));
		$this->addParam(new Param('P_CDTRECHO', Param::PARAM_INPUT, $P_CDTRECHO));
		$this->addParam(new Param('P_DTHRPLAVOOPV', Param::PARAM_INPUT, $P_DTHRPLAVOOPV));
		$this->addParam(new Param('P_TIPPREVISAO', Param::PARAM_INPUT, $P_TIPPREVISAO));
		$this->addParam(new Param('P_IDTPGERPPT', Param::PARAM_INPUT, $P_IDTPGERPPT));
		$this->addParam(new Param('P_VRPEROCUPACAO', Param::PARAM_INPUT, $P_VRPEROCUPACAO));
		$this->addParam(new Param('P_SIMULACAO', Param::PARAM_INPUT, $P_SIMULACAO));
		$this->addParam(new Param('P_NRDIAS', Param::PARAM_INPUT, $P_NRDIAS));
		$this->addParam(new Param('P_CDEQUIP', Param::PARAM_INPUT, $P_CDEQUIP));
		$this->addParam(new Param('P_SGPREFIXO', Param::PARAM_INPUT, $P_SGPREFIXO));
		$this->addParam(new Param('P_CDOPERADOR', Param::PARAM_INPUT, $P_CDOPERADOR));
		$this->addParam(new Param('P_NRORG', Param::PARAM_INPUT, $P_NRORG));
	    $this->execute();
	    
		// clear params
		$this->params = array();

	}
}